head	1.12;
access;
symbols
	RELEASE_7_4_0:1.11
	RELEASE_8_2_0:1.11
	RELEASE_6_EOL:1.11
	RELEASE_8_1_0:1.11
	RELEASE_7_3_0:1.11
	RELEASE_8_0_0:1.11
	RELEASE_7_2_0:1.10
	RELEASE_7_1_0:1.10
	RELEASE_6_4_0:1.10
	RELEASE_5_EOL:1.10
	RELEASE_7_0_0:1.10
	RELEASE_6_3_0:1.10
	PRE_XORG_7:1.10
	RELEASE_4_EOL:1.10
	RELEASE_6_2_0:1.10
	RELEASE_6_1_0:1.10
	RELEASE_5_5_0:1.10
	RELEASE_6_0_0:1.7
	RELEASE_5_4_0:1.7
	RELEASE_4_11_0:1.7
	RELEASE_5_3_0:1.6
	RELEASE_4_10_0:1.5
	RELEASE_5_2_1:1.4
	RELEASE_5_2_0:1.4
	RELEASE_4_9_0:1.4
	RELEASE_5_1_0:1.4
	RELEASE_4_8_0:1.4
	RELEASE_5_0_0:1.4
	RELEASE_4_7_0:1.4
	RELEASE_4_6_2:1.4
	RELEASE_4_6_1:1.4
	RELEASE_4_6_0:1.4
	RELEASE_5_0_DP1:1.2
	RELEASE_4_5_0:1.2;
locks; strict;
comment	@# @;


1.12
date	2011.08.10.16.18.31;	author bapt;	state dead;
branches;
next	1.11;

1.11
date	2009.07.28.09.16.21;	author pav;	state Exp;
branches;
next	1.10;

1.10
date	2005.11.30.14.31.02;	author garga;	state Exp;
branches;
next	1.9;

1.9
date	2005.11.23.11.52.15;	author flz;	state Exp;
branches;
next	1.8;

1.8
date	2005.10.13.15.03.39;	author ehaupt;	state Exp;
branches;
next	1.7;

1.7
date	2004.11.24.18.14.11;	author sem;	state Exp;
branches;
next	1.6;

1.6
date	2004.05.17.22.58.53;	author linimon;	state Exp;
branches;
next	1.5;

1.5
date	2004.03.25.19.28.30;	author pav;	state Exp;
branches;
next	1.4;

1.4
date	2002.05.17.09.14.17;	author ache;	state Exp;
branches;
next	1.3;

1.3
date	2002.05.10.06.36.10;	author ache;	state Exp;
branches;
next	1.2;

1.2
date	2002.01.04.07.13.09;	author ache;	state Exp;
branches;
next	1.1;

1.1
date	2001.10.19.10.55.34;	author ache;	state Exp;
branches;
next	;


desc
@@


1.12
log
@Remove some expired ports

2011-08-08 deskutils/alexandria: Upcoming ruby-gnome removes dependencies
2011-08-06 security/drweb: fails to fetch (website rearranged)
2011-08-06 security/drweb-postfix: fails to fetch (website rearranged)
2011-08-06 security/drweb-qmail: fails to fetch (website rearranged)
2011-08-06 security/drweb-sendmail: fails to fetch (website rearranged)
@
text
@#!/bin/sh
# $FreeBSD: ports/security/drweb/pkg-install,v 1.11 2009/07/28 09:16:21 pav Exp $
#

if [ "$2" != "POST-INSTALL" ]; then
    exit 0
fi

DRWEB_PREFIX="$3"
DRWEB_VARPREFIX="$4"
PREFIX="$5"
USER=drweb
GROUP=${USER}
UID=426
GID=${UID}
ex=0

if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
	if pw groupadd ${GROUP} -g ${GID}; then
		echo ""
		echo "Added group \"${GROUP}\"."
	else
		echo ""
		echo "Adding group \"${GROUP}\" failed..."
		ex=1
	fi
fi

if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
	if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
		-s "/sbin/nologin" -d "/nonexistent" -c "DrWeb Antivirus Software"
	then
		echo ""
		echo "Added user \"${USER}\"."
	else
		echo ""
		echo "Adding user \"${USER}\" failed..."
		ex=1
	fi
fi

echo ""
echo "You may also add this lines to your /etc/syslog.conf:"
echo "!drwebd"
echo "*.*             ${DRWEB_VARPREFIX}/drwebd.log"

echo ""
echo "You may also add this crontab entry to /etc/crontab"
echo "0 4 * * * root ${DRWEB_PREFIX}/update/update.pl"
echo ""

[ "$ex" = "1" ] && exit 1
chown -R ${USER}:${GROUP} ${DRWEB_PREFIX}
chown -R ${USER}:${GROUP} ${DRWEB_VARPREFIX}
chmod 0750 ${DRWEB_VARPREFIX}
chown -R ${USER}:${GROUP} ${PREFIX}/etc/drweb
exit 0
@


1.11
log
@- Update to 4.44.3

PR:		ports/137169
Submitted by:	Alexander Demin <support@@spectrum.ru> (maintainer)
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.10 2005/11/30 14:31:02 garga Exp $
@


1.10
log
@- Fix error of chown directory of configuration files.

PR:		ports/89757
Submitted by:	maintainer
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.9 2005/11/23 11:52:15 flz Exp $
d49 1
a49 1
echo "0 12 * * * root ${DRWEB_PREFIX}/update/update.pl"
@


1.9
log
@- Fix permissions of directory for default configuration files.

PR:		ports/89454
Submitted by:	maintainer
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.8 2005/10/13 15:03:39 ehaupt Exp $
d11 1
@


1.8
log
@- Update to 4.33
- Nuke files/*

PR:		87247
Submitted by:	Demin Alexander <support@@spectrum.ru> (maintainer)
Approved by:	novel (mentor)
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.7 2004/11/24 18:14:11 sem Exp $
d55 1
@


1.7
log
@- Update to 4.32.2
- Pass maintainer to submitter

PR:		ports/72510
Submitted by:	maintainer
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.6 2004/05/17 22:58:53 linimon Exp $
d9 2
a14 2
BINOWN=root
BINGRP=wheel
d30 1
a30 1
		-s "/sbin/nologin" -d "/nonexistent" -c "Dr. Web Scanner"
d44 1
a44 1
echo "*.*             /var/log/drwebd.log"
d48 1
a48 1
echo "0 12 * * * ${BINOWN} ${PKG_PREFIX}/drweb/update/update.pl"
d52 3
a54 3
install -dv -m 0755 -o ${USER} -g ${BINGRP} ${PKG_PREFIX}/drweb/run
install -dv -m 0700 -o ${USER} -g ${BINGRP} ${PKG_PREFIX}/drweb/infected
install -dv -m 0755 -o ${BINOWN} -g ${BINGRP} ${PKG_PREFIX}/drweb/updates
@


1.6
log
@- update to version 4.31.4
- use old version of update.pl instead of new broken one

PR:		ports/65983
Submitted by:	Serge Negodyuck <petr@@petrovich.kiev.ua>
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.5 2004/03/25 19:28:30 pav Exp $
d19 1
d22 1
d32 1
d35 1
d41 10
a50 13
if ! grep -q "^!${USER}" /etc/syslog.conf; then
  echo "You may also add this lines to your /etc/syslog.conf:"
  echo "!drwebd"
  echo "*.*             /var/log/drwebd.log"
  echo ""
fi
if ! grep -q ${USER} /etc/crontab; then
  if ! crontab -l -u ${BINOWN} | grep -q ${USER}; then
      echo "You may also add this crontab entry to /etc/crontab"
      echo "0 12 * * * ${BINOWN} ${PKG_PREFIX}/drweb/update/update.pl"
      echo ""
  fi
fi
@


1.5
log
@- Fix rc.d/00drweb.sh script to give proper command line option
- Add drweb script in bin dir to call scanner
- Remove not nessessary variable MAIN_NAME in Makefile
- Portlint
- Raise PORTREVISION

PR:		ports/64711
Submitted by:	Serge Negodyuck <petr@@petrovich.kiev.ua>
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.4 2002/05/17 09:14:17 ache Exp $
d39 1
@


1.4
log
@Upgrade to 4.28.1
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.3 2002/05/10 06:36:10 ache Exp $
d45 1
a45 1
      echo "0 12 * * * ${BINOWN} ${PKG_PREFIX}/drweb/update/update.pl ${PKG_PREFIX}/drweb"
@


1.3
log
@Upgrade to 4.28
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.2 2002/01/04 07:13:09 ache Exp $
d52 1
a52 1
install -dv -m 0700 -o ${BINOWN} -g ${BINGRP} ${PKG_PREFIX}/drweb/updates
@


1.2
log
@Upgrade to 4.27
@
text
@d2 1
a2 1
# $FreeBSD: ports/security/drweb/pkg-install,v 1.1 2001/10/19 10:55:34 ache Exp $
d52 1
@


1.1
log
@Move user creation/deletion to pkg-*install
@
text
@d2 1
a2 1
# $FreeBSD$
d51 1
a51 1
install -dv -m 0700 -o ${USER} -g ${BINGRP} ${PKG_PREFIX}/drweb/infected.!!!
@

